import java.util.Scanner;
import java.math.BigInteger;

public class Factorizer {

    public static void factorize(long number)
    {
	long n = number;

	System.out.print(number);
	for (long i = 2; i <= n; i++) {
	    while (n % i == 0) {
		System.out.print(((n != number) ? " * " : " = ") + i);
		n /= i;
	    }
	}
	System.out.println("");
    }

    public static void factorize(BigInteger number)
    {
	BigInteger n = number;
	final BigInteger zero = BigInteger.valueOf(0);
	final BigInteger one = BigInteger.valueOf(1);
	final BigInteger two = BigInteger.valueOf(2);

	System.out.print(number);
	for (BigInteger i = two; i.compareTo(n) < 1; i = i.add(one)) {
	    while (n.mod(i).equals(zero)) {
		System.out.print(((n != number) ? " * " : " = ") + i);
		n = n.divide(i);
	    }
	}
	System.out.println("");
    }

    public static void main(String[] args)
    {
	Scanner in = new Scanner(System.in);
	while (in.hasNext()) {
	    if (in.hasNextLong()) {
		factorize(in.nextLong());
	    } else if (in.hasNextBigInteger()) {
		factorize(in.nextBigInteger());
	    } else {
		System.err.println("unexpected input: " + in.next());
		System.exit(1);
	    }
	}
    }
} 
